@TestGroup(description: 'tags.svg')
library tags.test.svg;

import 'dart:svg';
import 'package:tags/tags.dart';
import 'package:bench/bench.dart';
import 'package:unittest/unittest.dart';

@Test('Test the &lt;circle&gt; tag')
void test_circle() => expect(circle(), const isInstanceOf<CircleElement>());

@Test('Test the &lt;clipPath&gt; tag')
void test_clipPath() => 
    expect(clipPath(), const isInstanceOf<ClipPathElement>());

@Test('Test the &lt;defs&gt; tag')
void test_defs() => expect(defs(), const isInstanceOf<DefsElement>());

@Test('Test the &lt;ellipse&gt; tag')
void test_ellipse() => expect(ellipse(), const isInstanceOf<EllipseElement>());

@Test('Test the &lt;g&gt; tag')
void test_g() => expect(g(), const isInstanceOf<GElement>());

@Test('Test the &lt;line&gt; tag')
void test_line() => expect(line(), const isInstanceOf<LineElement>());

@Test('Test the &lt;marker&gt; tag')
void test_marker() => expect(marker(), const isInstanceOf<MarkerElement>());

@Test('Test the &lt;path&gt; tag')
void test_path() => expect(path(), const isInstanceOf<PathElement>());

@Test('Test the &lt;polygon&gt; tag')
void test_polygon() => expect(polygon(), const isInstanceOf<PolygonElement>());

@Test('Test the &lt;polyline&gt; tag')
void test_polyline() => 
    expect(polyline(), const isInstanceOf<PolylineElement>());

@Test('Test the &lt;rect&gt; tag')
void test_rect() => expect(rect(), const isInstanceOf<RectElement>());

@Test('Test the &lt;svg&gt; tag')
void test_svg() => expect(svg(), const isInstanceOf<SvgSvgElement>());

@Test('Test the &lt;symbol&gt; tag')
void test_symbol() => expect(symbol(), const isInstanceOf<SymbolElement>());

@Test('Test the &lt;use&gt; tag')
void test_use() => expect(use(), const isInstanceOf<UseElement>());
